%global dlrn_nvr 11.3.1-0.20191129120350.602547e
%global dlrn 1
%define upstream_version 11.3.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 11.3.1
Release: 0.20191129120350.602547e%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 11.3.1-0.20191129120350.602547e.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=602547e0a6efc99def103edbd767a6bbb71e8221

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-etcd
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-fluentd
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-placement
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-sensu
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-uchiwa
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
%if 0%{?fedora}
# NOTE(bogdando): only needed for f28-based CI passing,
# remove this condition for the "else" path, once we have Centos 8.
Requires:       puppet-headless >= 5.5.6
%else
Requires:       puppet-headless >= 5.5.10
%endif
# NOTE(aschultz): needed to properly manage firewall rules.
%if 0%{?fedora} || 0%{?rhel} > 7
Requires:       iptables-services
# NOTE(aschultz): needed for rabbitmq on rhel8/fedora, see LP#1822673
# https://review.openstack.org/#/c/649170/
Requires:       glibc-langpack-en
%endif

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Explicitly convert stonith_level fact to int

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Check for crm_node presence before collecting fact

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Improve stonith leves idempotency.

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Switch HA containers to k8s-file log-driver and make it a parameter

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Add configurable monitor timeouts for ovn dbs

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ceph Grafana should not be exposed by HAProxy as a public service

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix upper case checks for SRIOV interface

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Include ::nova::pci to nova api profile" into stable/train
- Include ::nova::pci to nova api profile

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Merge "Update .gitreview for stable/train" into stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Only configure libvirt-guests if enabled

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare RC + stable/train

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching in keystone""
- Revert "Add support to configure token caching in keystone"

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow the IHA OCF and fencing resource to be moved to the nova service user"
- Allow the IHA OCF and fencing resource to be moved to the nova service user

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pacemaker: add support for Hash vs List in container environment"
- Deep merge hiera keys for mysqld_options
- pacemaker: add support for Hash vs List in container environment

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Tacker service"
- Merge "Workaround for /etc/pki/CA/certs/vnc.crt not present"
- Workaround for /etc/pki/CA/certs/vnc.crt not present
- Remove Tacker service

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure token caching in keystone"
- Merge "Configuration changes to support Qdr-mesh topology."
- Configuration changes to support Qdr-mesh topology.
- Add support to configure token caching in keystone

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing PXE directories for Conductor"
- Fix missing PXE directories for Conductor
- remove tripleo-ci-centos-7-scenario010-multinode-oooq-container

